unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    ListView1: TListView;
    ComboBox1: TComboBox;
    procedure Button1Click(Sender: TObject);
    procedure ListView1SelectItem(Sender: TObject; Item: TListItem;
      Selected: Boolean);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1 : TForm1;
  Index : Integer;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
    Id : Integer;
begin
    if (ListView1.Items.Item[Index].SubItems AS TStringList).Find(ComboBox1.Text,Id) then
        ShowMessage(IntToStr(Id));
end;


procedure TForm1.ListView1SelectItem(Sender: TObject; Item: TListItem;
  Selected: Boolean);
VAR
    I : Integer;
begin
    IF Selected THEN
        BEGIN
            Index := Item.Index;
            ComboBox1.Items.Clear;
            FOR I := 0 TO Item.SubItems.Count - 1 DO
                BEGIN
                    ComboBox1.Items.Add(Item.SubItems.Strings[I]);
                END;
            ComboBox1.ItemIndex := 0;
        END;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
    Index := 0;
end;

end.
